Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
  • Jan 31 2019 19:59
    wgordon17 opened #1922
  • Jan 31 2019 15:53

    browniebroke on pyup-update-django-extensions-2.1.4-to-2.1.5

    (compare)

  • Jan 31 2019 15:53

    browniebroke on master

    Update django-extensions from 2… Merge pull request #1916 from p… (compare)

  • Jan 31 2019 15:53
    browniebroke closed #1916
  • Jan 31 2019 15:52

    browniebroke on pyup-update-flake8-3.6.0-to-3.7.3

    (compare)

  • Jan 31 2019 15:52

    browniebroke on master

    Update flake8 from 3.6.0 to 3.7… Update flake8 from 3.6.0 to 3.7… Merge pull request #1920 from p… (compare)

  • Jan 31 2019 15:52
    browniebroke closed #1920
  • Jan 31 2019 15:49

    browniebroke on pyup-update-pytest-4.1.1-to-4.2.0

    (compare)

  • Jan 31 2019 15:49

    browniebroke on master

    Update pytest from 4.1.1 to 4.2… Update pytest from 4.1.1 to 4.2… Merge pull request #1919 from p… (compare)

  • Jan 31 2019 15:49
    browniebroke closed #1919
  • Jan 31 2019 13:43
    wgordon17 opened #1921
  • Jan 31 2019 13:23

    pydanny on pyup-update-flake8-3.6.0-to-3.7.2

    (compare)

  • Jan 31 2019 13:23
    pyup-bot closed #1918
  • Jan 31 2019 13:23
    pyup-bot commented #1918
  • Jan 31 2019 13:23
    pyup-bot opened #1920
  • Jan 31 2019 13:23

    pydanny on pyup-update-flake8-3.6.0-to-3.7.3

    Update flake8 from 3.6.0 to 3.7… (compare)

  • Jan 31 2019 13:23

    pydanny on pyup-update-flake8-3.6.0-to-3.7.3

    (compare)

  • Jan 31 2019 13:23

    pydanny on pyup-update-flake8-3.6.0-to-3.7.3

    Update flake8 from 3.6.0 to 3.7… (compare)

  • Jan 31 2019 00:40
    pyup-bot opened #1919
  • Jan 31 2019 00:40

    pydanny on pyup-update-pytest-4.1.1-to-4.2.0

    Update pytest from 4.1.1 to 4.2… (compare)

leycor
@leycor
DJANGO_ADMIN_URL=admin/
leycor
@leycor

Prohibited (403)

CSRF verification has failed. Request aborted.

You are seeing this message because this website requires a CSRF cookie when forms are submitted. This cookie is needed for security reasons, to ensure that your browser has not been compromised by third parties.

If you have configured your browser to disable cookies, please re-enable them, at least for this site or for "same origin" requests.

Arcuri Davide
@dadokkio
Hello, I was following the guide for local develop with docker but I'm having issues with celery.
I have created a new backend app and I moved it at the same level of the users one.
The application is working properly, but celery docker are failing with
django.core.exception.ImproperlyConfigured: Cannot import 'backend'. Check that 'main.backend.apps.BackendConfig.name' is correct
Arcuri Davide
@dadokkio
fluid217
@fluid217
a six-month old production install of cookiecutter-django as of today has a celerybeat that fails with my_project_celerybeat_1 exited with code 73
ERROR: Pidfile (celerybeat.pid) already exists.
Any suggestions on how to debug?
I've removed the pidfile, removed the schedulefile, removed tasks from the django_db....
fluid217
@fluid217
temporarily, I've exec'd into the celery container, manually set the various environment variables and manually started celerybeat.
Riska Kurniyanto Abdullah
@machineska
Is there any tips for High Avaibility (HA) Postgresql setup that build with cookiecutter-django??
MiguelGonzalezTiger
@MiguelGonzalezTiger

Greetings, all! I'm trying to set up a new project on windows using gulp and docker.

Currently I have celery and gulp (at the end I'll put the settings when I run "cookiecutter https://github.com/pydanny/cookiecutter-django") and the live reload doesn't work.

Initially I used webpack and it worked on ubuntu 20.04 OS, but it doesn't work on Windows. What do you suggest I should do?

Below are my settings:

use_whitenoise: no
use_celery: yes
use_mailhog: no
use_sentry: no
use_pycharm: no
windows: no
use_docker: yes
use_heroku: no
use_compressor: no
postgresql_version: 11.3
js_task_runner: Gulp
cloud_provider: AWS
custom_bootstrap_compilation: no
open_source_license: MIT
keep_local_envs_in_vcs: no
debug: no

Luis Gonzalez
@thmxluis
image.png
image.png
Hi, help me plz?
celerybeat_1 | /entrypoint: 4: set: Illegal option -o pipefail
celeryworker_1 | /entrypoint: 4: set: Illegal option -o pipefail
django_1 | /entrypoint: 4: set: Illegal option -o pipefail
flower_1 | /entrypoint: 4: set: Illegal option -o pipefail
John Mathews
@johnmathews_twitter

hi all, I have a question about using heroku CI. This probably isnt cookiecutter-django specifc but perhaps someone can help:

My app (built using cookiecutter-django) runs locally and in prod, and I can run tests locally, using pytest and DDF, but on heroku CI I get the following error:

E   KeyError: PosixPath('/app/.heroku/python/lib/python3.8/site-packages/django_dynamic_fixture/tests/conftest.py')

During handling of the above exception, another exception occurred:
...
RuntimeError: Model class django_dynamic_fixture.models_sample_app.Publisher doesn't declare an explicit app_label and isn't in an application in INSTALLED_APPS.

I'm familiar with this error and understand about relative and absolute imports, and using them consistently. This error is coming from django_dynamic_fixture though, not my app. I don't get this error locally, only on heroku CI.

Any ideas?

Waldo
@wspek_gitlab
Hi Danny, what an amazing project you made. I cannot believe how much time I saved with cookiecutter-django, all works so smoothly out of the box.
Just a question; I am unable to log into Postgres - I don't have the credentials. In my .envs/.local/.postgres file I see the default (debug) credentials, but those don't work. Anybody any idea?
Omar Khashoggi
@OmarWKH
@wspek_gitlab I login with psql like this:
1- Make sure postgres is already up in another terminal: docker-compose -f .\local.yml up postgres
2- Start docker-compose -f .\local.yml run --rm postgres psql -h $POSTGRES_HOST -U $POSTGRES_USER $POSTGRES_DB. Substitute the $ variables from .envs/.local/.postgres
1 reply
fluid217
@fluid217
ok, just had a very weird production issue that with django-cookiecutter in docker installed on Ubuntu 18.04.5 LTS on an AWS EC2 instance. When accessing a DRF created API I receive the error (Couldn't load 'Argon2PasswordHasher' algorithm library: No module named 'argon2._ffi'). I've logged into various containers and confirmed via pip that Argon2 is indeed installed. This just seemed to "Happen" over the weekend. Any suggestions ?
2 replies
Harry Moreno
@morenoh149
how do you increase the max timeout on requests? I think that would be an nginx thing.
@johnmathews_twitter have you tried running your test suite locally but using the production config?
@fluid217 are you using a nonstandard password algorithm?
fluid217
@fluid217
@morenoh149 , no , stock standard install. I had an issue where I ran out of disk space and I think this has corrupted the container. I've since rebuilt and the issue has gone away.
Sebastian Van Den Noortgaete
@sebastianvdn
Hello everybody! I have been stuck for two full days on this now. I am trying to deploy my docker project to digitalocean but is not working, I just get a 404 in the browser. Localy everything works fine, I don't think there are any problems deploying neither but still something is not quiet right because of the 404
I tried several things, somehting I thaught could be the cause was trafic not getting to the port on wich the nginx server is running internally
so I tried adding a link with iptables but still
error perceeds
I
I started over several times already and am not getting any results
Anyone that has any suggestions that can help me get closer?
Sebastian Van Den Noortgaete
@sebastianvdn
I can ssh into my droplet and docker containers ar running
server is running
8411bcc7e0d8        bgan_production_traefik    "/entrypoint.sh trae…"   38 minutes ago      Up 38 minutes       0.0.0.0:80->80/tcp, 0.0.0.0:443->443/tcp   bgan_traefik_1
bf12b8de6c8c        bgan_production_django     "/entrypoint /start"     38 minutes ago      Up 38 minutes                                                  bgan_django_1
6b1003410dd2        redis:5.0                  "docker-entrypoint.s…"   38 minutes ago      Up 38 minutes       6379/tcp                                   bgan_redis_1
fe5e9af18089        bgan_production_postgres   "docker-entrypoint.s…"   38 minutes ago      Up 38 minutes       5432/tcp                                   bgan_postgres_1
this is on my droplet
Output form docker ps
any help is truly appreciated
Sebastian Van Den Noortgaete
@sebastianvdn
#!/bin/bash

set -o errexit
set -o pipefail
set -o nounset


python /app/manage.py collectstatic --noinput


/usr/local/bin/gunicorn config.wsgi --bind 0.0.0.0:5000 --chdir=/app
This is the production start file for django
I din't modify the defaults etc I added the required env vairables as well
Is this something I must do in order to make it work?
Harry Moreno
@morenoh149
@sebastianvdn what is your issue?
I can't seem to get my celery task to update, I change the source code but its still doing what it used to do. How do you update a celery task if its already running?
Sebastian Van Den Noortgaete
@sebastianvdn
Is a docker project with django-cookiecutter supopes to work out of the box when deploying on digitalocean with the production.yml? Suposed to the official docs and some tutorials I followed it should be but it's not working
Is there some aditional configuration that I must do?
Harry Moreno
@morenoh149
@sebastianvdn probably yes, the cookiecutter is not gauranteed to work on do
Sebastian Van Den Noortgaete
@sebastianvdn
Oke so actualy it uses traefik and not nginx it probably used to use nginx but not any more
Idk why all the recources still mention nginx
Harry Moreno
@morenoh149
@sebastianvdn django-cookiecutter has traefik and nginx. Try making a fresh install to see what that looks like.
Sebastian Van Den Noortgaete
@sebastianvdn
Got it to work eventualy, it were my dns settings that were failing
SOKUNBI TAIWO
@andela-Taiwo

I have been struck on this error for sometimes.

/entrypoint: line 10: REDIS_URL: unbound variable

I get this error whenever I use the elastic beanstalk command eb local run to run the app.

Please, any help will be appreciated